=== debian/changelog ===
ros-rolling-plotjuggler (3.4.0-1focal) focal; urgency=high

  * fix #585 <https://github.com/facontidavide/PlotJuggler/issues/585>
  * fix #560 <https://github.com/facontidavide/PlotJuggler/issues/560>
  * fix #575 <https://github.com/facontidavide/PlotJuggler/issues/575>
  * Reactive scripts (#589 <https://github.com/facontidavide/PlotJuggler/issues/589>)
  * Fix Quaternion toolbox, issue #587 <https://github.com/facontidavide/PlotJuggler/issues/587>
  * fix double delete
  * fix memory leaks #582 <https://github.com/facontidavide/PlotJuggler/issues/582>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 28 Jan 2022 23:00:00 -0000

ros-rolling-plotjuggler (3.3.5-1focal) focal; urgency=high

  * fix zoom issue when toggling T_offset
  * cosmetic changes
  * show missing curves in error dialog (#579 <https://github.com/facontidavide/PlotJuggler/issues/579>)
  * fix #550 <https://github.com/facontidavide/PlotJuggler/issues/550>
  * Contributors: Adeeb Shihadeh, Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 03 Jan 2022 23:00:00 -0000

ros-rolling-plotjuggler (3.3.4-1focal) focal; urgency=high

  * Video plugin (#574 <https://github.com/facontidavide/PlotJuggler/issues/574>)
  * gitignore *.swp files (#569 <https://github.com/facontidavide/PlotJuggler/issues/569>)
  * Added libprotoc-dev to the apt install targets (#573 <https://github.com/facontidavide/PlotJuggler/issues/573>)
  * turn on Sol3 safety flag
  * trying to solve reported issue with Lua
  * add fields that were not set in Protobuf
  * Protobuf update (#568 <https://github.com/facontidavide/PlotJuggler/issues/568>)
  * add zoomOut after loadDataFile
  * Protobuf options refactored
  * changed the protobuf implementation to deal with dependencies
  * Protobuf parser and MQTT plugins
  * Merge pull request #531 <https://github.com/facontidavide/PlotJuggler/issues/531> from erickisos/fix/517
    Homebrew path added into CMakeLists #517 <https://github.com/facontidavide/PlotJuggler/issues/517>
  * LUA version updated
  * fix dependency between transformed series
  * fix issue #557 <https://github.com/facontidavide/PlotJuggler/issues/557>
  * Homebrew path added into CMakeLists
  * Contributors: Adeeb Shihadeh, Davide Faconti, Erick G. Islas-Osuna, Miklós Márton

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 27 Dec 2021 23:00:00 -0000

ros-rolling-plotjuggler (3.3.3-1focal) focal; urgency=high

  * Fix critical bug when loading a file twice
  * change order of removal
  * fix crash when one of the source of XY is deleted
  * fix issue #549 <https://github.com/facontidavide/PlotJuggler/issues/549> (comma decima separator)
  * Fix issue #545 <https://github.com/facontidavide/PlotJuggler/issues/545>
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Fri, 29 Oct 2021 22:00:00 -0000

ros-rolling-plotjuggler (3.3.2-1focal) focal; urgency=high

  * don't add the prefix. Checkbox added
  * bug fix when accidentally merging datafiles
  * clang-format
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Wed, 20 Oct 2021 22:00:00 -0000

ros-rolling-plotjuggler (3.3.1-1focal) focal; urgency=high

  * fix #527 <https://github.com/facontidavide/PlotJuggler/issues/527>
  * avoid shared libraries in libkissFFT
  * Fix #524 <https://github.com/facontidavide/PlotJuggler/issues/524> and #529 <https://github.com/facontidavide/PlotJuggler/issues/529>
  * Fix bug with Outlier Removal (#532 <https://github.com/facontidavide/PlotJuggler/issues/532>)
  * minor changes
  * Implement Moving RMS filter #510 <https://github.com/facontidavide/PlotJuggler/issues/510>
  * Fix issue #516 <https://github.com/facontidavide/PlotJuggler/issues/516>
    - Don't show more than once "Do you want to delete old data" when
    loading multiple files.
    - Correctly clean all the data, including _loaded_datafiles
  * Update README.md
  * Contributors: Davide Faconti

 -- Davide Faconti <davide.faconti@gmail.com>  Sun, 03 Oct 2021 22:00:00 -0000

ros-rolling-plotjuggler (3.3.0-1focal) focal; urgency=high

  * add "start_streamer" option
  * Support MacOS and Dark Mode
  * custom SplitLine function in CSV. Fix #509 <https://github.com/facontidavide/PlotJuggler/issues/509>
  * fix issue  #507 <https://github.com/facontidavide/PlotJuggler/issues/507>
  * New CSV plugin
  * Back to static libraries ( #507 <https://github.com/facontidavide/PlotJuggler/issues/507>)
  * Fixed wrong slot name on PreferecesDialog and moved skin-based setting of MainWindowTitle after the setupUi() call
  * fix typo in preferences dialog
  * add notifications from Streaming plugins (#489 <https://github.com/facontidavide/PlotJuggler/issues/489>)
  * cherry picking features from #489 <https://github.com/facontidavide/PlotJuggler/issues/489>
    - new options [enabled_plugins] and [disabled_plugins]
    - new option [skin_path]
  * remove potential issue with TransformFunction::reset
  * remove .appveyor.yml
  * prefer the PlotAttribute enum instead of string
  * add changes similar to #424 <https://github.com/facontidavide/PlotJuggler/issues/424>
  * Fast Fourier Transform plugin added
  * ToolboxQuaternion added
  * toolbox plugins introduced
  * add latest fmt
  * unified TransformFunction
  * change name of Transforms plugins
  * Contributors: Davide Faconti, GerardoPardo, myd7349

 -- Davide Faconti <davide.faconti@gmail.com>  Mon, 06 Sep 2021 22:00:00 -0000

ros-rolling-plotjuggler (3.2.1-1focal) focal; urgency=high

  * adding string reference
  * qwt updated and fix for #463 <https://github.com/facontidavide/PlotJuggler/issues/463>
  * fix #461 <https://github.com/facontidavide/PlotJuggler/issues/461>
  * add quaternion to Euler conversion snippets (#459 <https://github.com/facontidavide/PlotJuggler/issues/459>)
    Add 3 functions to convert a Hamiltonian attitude quaternion to its Euler (Trait-Bryan 321) representation

